Show / Hide Table of Contents

# Class FdtReader

Parses a game font file.

##### Inheritance

System.Object
FdtReader

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.GameFonts

###### Assembly: Dalamud.dll

##### Syntax

    public class FdtReader

### Constructors

| Improve this Doc View Source

#### FdtReader(Byte[])

Initializes a new instance of the FdtReader class.

##### Declaration

    public FdtReader(byte[] data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | data | Content of a FDT file.

### Properties

| Improve this Doc View Source

#### Distances

Gets all the kerning entries defined in this file.

##### Declaration

    public List<FdtReader.KerningTableEntry> Distances { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<FdtReader.KerningTableEntry> |

| Improve this Doc View Source

#### FileHeader

Gets the header of this file.

##### Declaration

    public FdtReader.FdtHeader FileHeader { get; set; }

##### Property Value

Type | Description
--- | ---
FdtReader.FdtHeader |

| Improve this Doc View Source

#### FontHeader

Gets the font header of this file.

##### Declaration

    public FdtReader.FontTableHeader FontHeader { get; set; }

##### Property Value

Type | Description
--- | ---
FdtReader.FontTableHeader |

| Improve this Doc View Source

#### Glyphs

Gets all the glyphs defined in this file.

##### Declaration

    public List<FdtReader.FontTableEntry> Glyphs { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<FdtReader.FontTableEntry> |

| Improve this Doc View Source

#### KerningHeader

Gets the kerning table header of this file.

##### Declaration

    public FdtReader.KerningTableHeader KerningHeader { get; set; }

##### Property Value

Type | Description
--- | ---
FdtReader.KerningTableHeader |

### Methods

| Improve this Doc View Source

#### FindGlyph(Int32)

Finds glyph definition for corresponding codepoint.

##### Declaration

    public FdtReader.FontTableEntry? FindGlyph(int codepoint)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | codepoint | Unicode codepoint (UTF-32 value).

##### Returns

Type | Description
--- | ---
System.Nullable<FdtReader.FontTableEntry> | Corresponding FontTableEntry, or null if not found.

| Improve this Doc View Source

#### GetDistance(Int32, Int32)

Returns distance adjustment between two adjacent characters.

##### Declaration

    public int GetDistance(int codepoint1, int codepoint2)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | codepoint1 | Left character.
System.Int32 | codepoint2 | Right character.

##### Returns

Type | Description
--- | ---
System.Int32 | Supposed distance adjustment between given characters.

| Improve this Doc View Source

#### GetGlyph(Int32)

Returns glyph definition for corresponding codepoint.

##### Declaration

    public FdtReader.FontTableEntry GetGlyph(int codepoint)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | codepoint | Unicode codepoint (UTF-32 value).

##### Returns

Type | Description
--- | ---
FdtReader.FontTableEntry | Corresponding FontTableEntry, or that of a fallback character.